gtk.Separator
Prev | The gtk Class Reference | Next

## gtk.Separator

gtk.Separator — a base class for visual separator widgets.

## Synopsis

    class gtk.Separator(gtk.Widget):

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.Widget
          +-- gtk.Separator

## Implemented Interfaces

`gtk.Separator` implements `gtk.Buildable`

## gtk.Separator Properties

gtk.Object Properties

gtk.Widget Properties

## gtk.Separator Style Properties

gtk.Widget Style Properties

## gtk.Separator Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.Widget Signal Prototypes

## Description

The `gtk.Separator` widget is an abstract base class, used only for deriving the subclasses `gtk.HSeparator` and `gtk.VSeparator`. A separator is a visual delimiter between widgets.

Prev | Up | Next
gtk.SelectionData | Home | gtk.SeparatorMenuItem